Bug 435019 - mechanism for negotiating version in XML-RPC requests
mechanism for negotiating version in XML-RPC requests
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
high Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-26 15:29 EST by Rob Crittenden
Modified: 2015-01-04 18:30 EST (History)
2 users (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
API to let the server know what version it is (7.88 KB, patch)
2008-05-08 11:46 EDT, Rob Crittenden
no flags Details | Diff

  None (edit)
Description Rob Crittenden 2008-02-26 15:29:07 EST
We need a way for an XML-RPC client to determine the API version of the server.

There will soon be a ping() function. The recommendation is to pass an argument
in as the version of the client and respond back with the version of the server.

This way if the server can support multiple versions it can respond to match the
client and let it continue.

If there is no match the client will need to be updated.

The generation of this version may happen at continue time, or we may want to
have an ipaversion.py file that we update when the API changes.
Comment 1 Rob Crittenden 2008-05-08 11:46:57 EDT
Created attachment 304873 [details]
API to let the server know what version it is
Comment 2 Rob Crittenden 2008-05-08 13:02:35 EDT
ipa-1-0: 394fcb7876bf81e72ce5418409859f51c56da505
master: bd9dea888d62c6a3cdacecc5356b0b9faff225d6
Comment 3 Yi Zhang 2008-05-22 20:05:40 EDT
QA Verified on May 22, 2008 (Yi)

Build used: May 22, 2008 (x64)

The version python file is:
/usr/lib/python2.4/site-packages/ipaserver/version.py

The current version is 1.0

Note You need to log in before you can comment on or make changes to this bug.